/* DWARF DW_FORM_block* expression evaluation.

   Copyright (C) 2007 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#if !defined (DWARF2BLOCK_H)
#define DWARF2BLOCK_H 1

/* Blocks are a bunch of untyped bytes. */
struct dwarf_block
  {
    unsigned int size;
    gdb_byte *data;
  };

extern CORE_ADDR dwarf_block_exec (struct dwarf_block *dwarf_block);

extern void object_address_set (CORE_ADDR address);

extern CORE_ADDR object_address_get (void);

#endif /* !defined(DWARF2BLOCK_H) */
